
package com.tmerclub.cloud.payment.bo;

import java.io.Serial;
import java.io.Serializable;
/**
 * 支付后，微信/支付宝返回的一些基础数据
 * @author tmerclub
 * @date 2020/12/25
 */
public class PayInfoResultBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 商城支付单号
     */
    private Long payId;

    /**
     * 第三方订单流水号
     */
    private String bizPayNo;

    /**
     * 是否支付成功
     */
    private Boolean paySuccess;

    /**
     * 支付成功的标记
     */
    private String successString;

    /**
     * 支付金额
     */
    private Long payAmount;

    /**
     * 支付金额
     */
    private String extendInfo;

    /**
     * 回调内容
     */
    private String callbackContent;

    private Long refundId;

    /**
     * 支付系统类型(0:默认，1:通联)
     */
    private Integer paySysType;

    /**
     * 是否为支付宝退款回调
     */
    private Boolean isAliRefund;

    public Long getRefundId() {
        return refundId;
    }

    public void setRefundId(Long refundId) {
        this.refundId = refundId;
    }

    public String getExtendInfo() {
        return extendInfo;
    }

    public void setExtendInfo(String extendInfo) {
        this.extendInfo = extendInfo;
    }

    public Long getPayId() {
        return payId;
    }

    public void setPayId(Long payId) {
        this.payId = payId;
    }

    public String getBizPayNo() {
        return bizPayNo;
    }

    public void setBizPayNo(String bizPayNo) {
        this.bizPayNo = bizPayNo;
    }

    public Boolean getPaySuccess() {
        return paySuccess;
    }

    public void setPaySuccess(Boolean paySuccess) {
        this.paySuccess = paySuccess;
    }

    public String getSuccessString() {
        return successString;
    }

    public void setSuccessString(String successString) {
        this.successString = successString;
    }

    public Long getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(Long payAmount) {
        this.payAmount = payAmount;
    }

    public String getCallbackContent() {
        return callbackContent;
    }

    public void setCallbackContent(String callbackContent) {
        this.callbackContent = callbackContent;
    }

    public Integer getPaySysType() {
        return paySysType;
    }

    public void setPaySysType(Integer paySysType) {
        this.paySysType = paySysType;
    }

    public Boolean getAliRefund() {
        return isAliRefund;
    }

    public void setAliRefund(Boolean aliRefund) {
        isAliRefund = aliRefund;
    }

    @Override
    public String toString() {
        return "PayInfoResultBO{" +
                "payId=" + payId +
                ", bizPayNo='" + bizPayNo + '\'' +
                ", paySuccess=" + paySuccess +
                ", successString='" + successString + '\'' +
                ", payAmount=" + payAmount +
                ", extendInfo='" + extendInfo + '\'' +
                ", callbackContent='" + callbackContent + '\'' +
                ", refundId=" + refundId +
                ", paySysType=" + paySysType +
                ", isAliRefund=" + isAliRefund +
                '}';
    }
}
